Bug 213181 - system-config-network-tui crashes
system-config-network-tui crashes
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2006-10-30 21:30 EST by tatlow
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-10 06:26:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Crash report (8.20 KB, text/plain)
2007-01-04 11:15 EST, Horst H. von Brand
no flags Details

  None (edit)
Description tatlow 2006-10-30 21:30:26 EST
Description of problem:
I ran system-config-network-tui and it told me to open a report

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run the command
Actual results:

An unhandled exception has occured.  This is most likely a bug.  Please save the
crash dump and file a detailed bug report against system-config-network at
Component: system-config-network
Version: 1.3.95
Summary: TB
'NoneType' object is not callable
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 274, in ?
    dev = selectDevice(screen)
  File "/usr/sbin/system-config-network-tui", line 183, in selectDevice
    if not dev.getDialog():
  File "/usr/share/system-config-network/netconfpkg/plugins/NCDevWireless.py",
line 45, in getDialog
    dialog =  _devWirelessDialog(self)
TypeError: 'NoneType' object is not callable

-> dialog =  _devWirelessDialog(self)

Expected results:

never run it before

Additional info:

if fails right after it switches to a blue background and a box saying "Loading
Hardware". If it's something specific to my system it would probably be my
wireless (guessing by the msg). I'm running FC6 on a Thinkpad T60 with the
madwifi drivers from livna So I have an ath0 and a wifi0 device (though I don't
know what wifi is for).
The profile stuff is really befuddled along w/ where I enter keys for my device,
but I finally got it working manually. And I'm not sure my
/etc/sysconfig/network-scripts/keys-ath0 (and all the links) is correct
Comment 1 Horst H. von Brand 2007-01-04 11:15:14 EST
Created attachment 144814 [details]
Crash report

Note You need to log in before you can comment on or make changes to this bug.